function clickDemo
clf;
axis([0, 1, 0, 1]);

set(gca,'ButtonDownFcn',@myButtonDownFcn);
set(gcf,'WindowButtonUpFcn', @myButtonUpFcn);


%%%%%%%%%%%%%%%%%%%
function myButtonDownFcn(hThis,eventdata,varargin)
currPt=get(gca,'CurrentPoint');
x=currPt(1,1);
y=currPt(1,2);
disp(['Button down at (',num2str(x),',',num2str(y),')']);
set(gcf,'WindowButtonMotionFcn',@myButtonMotionFcn);


function myButtonUpFcn(src,eventdata,varargin);
disp('Button up')
set(gcf,'WindowButtonMotionFcn', []);

function myButtonMotionFcn(src,eventdata,hThis,offset)
currPt=get(gca,'CurrentPoint');
x=currPt(1,1);
y=currPt(1,2);
disp(['Mouse at (',num2str(x),',',num2str(y),')']);
